Remove obsolete target_arch == armv7.

Also, use arm_version >= 7 so things will continue to work when building
for ARMv8 and higher targets.

BUG=3906
R=kjellander@webrtc.org, tkchin@webrtc.org, zhongwei.yao@arm.com

Review URL: https://webrtc-codereview.appspot.com/38379004

git-svn-id: http://webrtc.googlecode.com/svn/trunk@7957 4adac7df-926f-26a2-2b94-8c16560cd09d
This commit is contained in:
andrew@webrtc.org 2014-12-18 21:36:18 +00:00
parent aacc23465b
commit 1090a6eccf
8 changed files with 11 additions and 105 deletions

View File

@ -147,7 +147,7 @@
'build_libjpeg%': 0,
'enable_protobuf%': 0,
}],
['target_arch=="arm" or target_arch=="armv7" or target_arch=="arm64"', {
['target_arch=="arm" or target_arch=="arm64"', {
'prefer_fixed_point%': 1,
}],
['OS!="ios" and (target_arch!="arm" or arm_version>=7)', {
@ -256,7 +256,7 @@
'WEBRTC_ARCH_ARM64_NEON',
],
}],
['target_arch=="arm" or target_arch=="armv7"', {
['target_arch=="arm"', {
'defines': [
'WEBRTC_ARCH_ARM',
],

View File

@ -1,25 +0,0 @@
#!/bin/bash -e
# Copyright (c) 2013 The WebRTC project authors. All Rights Reserved.
#
# Use of this source code is governed by a BSD-style license
# that can be found in the LICENSE file in the root of the source
# tree. An additional intellectual property rights grant can be found
# in the file PATENTS. All contributing project authors may
# be found in the AUTHORS file in the root of the source tree.
# Work in trunk/.
cd "$(dirname $0)/../.."
export GYP_DEFINES="build_with_libjingle=1 build_with_chromium=0"
GYP_DEFINES="$GYP_DEFINES OS=ios target_arch=armv7 key_id=\"\""
export GYP_GENERATORS="ninja"
export GYP_CROSSCOMPILE=1
echo "@@@BUILD_STEP runhooks@@@"
gclient runhooks || { echo "@@@STEP_FAILURE@@@"; exit 2; }
echo "@@@BUILD_STEP compile@@@"
ninja -C out/Debug || { echo "@@@STEP_FAILURE@@@"; exit 2; }
exit 0

View File

@ -1,69 +0,0 @@
#!/bin/sh
# Copyright (c) 2013 The WebRTC project authors. All Rights Reserved.
#
# Use of this source code is governed by a BSD-style license
# that can be found in the LICENSE file in the root of the source
# tree. An additional intellectual property rights grant can be found
# in the file PATENTS. All contributing project authors may
# be found in the AUTHORS file in the root of the source tree.
set -e
# TODO(sjlee): remove this whole script file.
# (https://code.google.com/p/webrtc/issues/detail?id=2028)
function build_project() {
# make the target string
local target_string=""
if [[ -n "$2" ]]; then
target_string="-target $2"
fi
xcodebuild -project "$1" -sdk iphoneos -arch armv7 \
-configuration ${CONFIGURATION} \
-CONFIGURATION_BUILD_DIR=${CONFIGURATION_BUILD_DIR} $target_string
}
# change the working directory to trunk
cd "$( dirname "$0" )/../.."
# build setting
CONFIGURATION_BUILD_DIR=./xcodebuild
CONFIGURATION=Debug
export GYP_DEFINES="OS=ios target_arch=arm armv7=1 arm_neon=1"
# TODO(sjlee): remove this script.
# (https://webrtc-codereview.appspot.com/1874005)
# update gyp settings
echo '[Updating gyp settings...]'
gclient runhooks
./build/gyp_chromium --depth=. \
webrtc/modules/remote_bitrate_estimator/remote_bitrate_estimator_components.gyp
./build/gyp_chromium --depth=. \
webrtc/modules/video_coding/utility/video_coding_utility.gyp
./build/gyp_chromium --depth=. third_party/opus/opus.gyp
./build/gyp_chromium --depth=. third_party/libyuv/libyuv.gyp
./build/gyp_chromium --depth=. third_party/libjpeg/libjpeg.gyp
# build the xcode projects
echo '[Building xcode projects...]'
build_project "webrtc/modules/remote_bitrate_estimator/remote_bitrate_estimator_components.xcodeproj"
build_project "webrtc/modules/video_coding/utility/video_coding_utility.xcodeproj"
build_project "third_party/opus/opus.xcodeproj" "opus"
build_project "third_party/libjpeg/libjpeg.xcodeproj"
build_project "third_party/libyuv/libyuv.xcodeproj"
# build the libvpx
cd third_party/libvpx/source/libvpx
./configure --target=armv7-darwin-gcc --disable-vp9 \
--libc=/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/SDKs/iPhoneOS6.1.sdk
make
cd -
cp third_party/libvpx/source/libvpx/libvpx.a \
${CONFIGURATION_BUILD_DIR}/${CONFIGURATION}-iphoneos
echo "[Building xcode projects is success...]\n"

View File

@ -112,5 +112,5 @@ declare_args() {
# WebRTC builds ARM v7 Neon instruction set optimized code for both iOS and
# Android, which is why we currently cannot use the variables in
# //build/config/arm.gni (since it disables Neon for Android).
rtc_build_armv7_neon = (cpu_arch == "arm" && arm_version == 7)
rtc_build_armv7_neon = (cpu_arch == "arm" && arm_version >= 7)
}

View File

@ -110,7 +110,7 @@ source_set("common_audio") {
"signal_processing/spl_sqrt_floor_arm.S",
]
if (arm_version == 7) {
if (arm_version >= 7) {
deps += [ ":common_audio_neon" ]
sources += [ "signal_processing/filter_ar_fast_q12_armv7.S" ]
} else {

View File

@ -119,7 +119,7 @@
['target_arch=="ia32" or target_arch=="x64"', {
'dependencies': ['common_audio_sse2',],
}],
['target_arch=="arm" or target_arch=="armv7"', {
['target_arch=="arm"', {
'sources': [
'signal_processing/complex_bit_reverse_arm.S',
'signal_processing/spl_sqrt_floor_arm.S',
@ -129,7 +129,7 @@
'signal_processing/spl_sqrt_floor.c',
],
'conditions': [
['arm_version==7', {
['arm_version>=7', {
'dependencies': ['common_audio_neon',],
'sources': [
'signal_processing/filter_ar_fast_q12_armv7.S',
@ -188,7 +188,7 @@
},
], # targets
}],
['(target_arch=="arm" and arm_version==7) or target_arch=="armv7"', {
['target_arch=="arm" and arm_version>=7', {
'targets': [
{
'target_name': 'common_audio_neon',

View File

@ -80,7 +80,7 @@
'WEBRTC_LINUX',
],
}],
['(target_arch=="arm" and arm_version==7) or target_arch=="armv7"', {
['target_arch=="arm" and arm_version>=7', {
'dependencies': [ 'isac_neon', ],
'sources': [
'lattice_armv7.S',
@ -124,7 +124,7 @@
},
],
'conditions': [
['(target_arch=="arm" and arm_version==7) or target_arch=="armv7"', {
['target_arch=="arm" and arm_version>=7', {
'targets': [
{
'target_name': 'isac_neon',

View File

@ -181,7 +181,7 @@
['target_arch=="ia32" or target_arch=="x64"', {
'dependencies': ['audio_processing_sse2',],
}],
['(target_arch=="arm" and arm_version==7) or target_arch=="armv7" or target_arch=="arm64"', {
['(target_arch=="arm" and arm_version>=7) or target_arch=="arm64"', {
'dependencies': ['audio_processing_neon',],
}],
['target_arch=="mipsel" and mips_arch_variant!="r6" and android_webview_build==0', {
@ -240,7 +240,7 @@
},
],
}],
['(target_arch=="arm" and arm_version==7) or target_arch=="armv7" or target_arch=="arm64"', {
['(target_arch=="arm" and arm_version>=7) or target_arch=="arm64"', {
'targets': [{
'target_name': 'audio_processing_neon',
'type': 'static_library',